package com.yidianling.tests.search

import com.hannesdorfmann.mosby3.mvp.MvpView
import com.yidianling.tests.list.model.bean.RecommendSearchItemBean
import com.yidianling.tests.list.model.bean.Test

/**
 * TestSearchView
 * Created by zqk on 17-12-5.
 */
interface TestSearchView : MvpView {
    fun showLoadingView()
    fun hideLoadingView()

    fun showError(msg: String)
    fun showNoResultView()
    fun hideNoResultView()

    fun showSearchResultView(testList: List<Test>?, page: Int)

    fun onRecommendSearchListResponse(testList: List<RecommendSearchItemBean>)
    fun onHotRecommendResponse(datalist : List<Test>)
}